# -*- rpm-spec -*-
# $Id: xemacs-cc-mode,v 1.20 2004/02/07 12:48:30 lioka Exp $

%define xemacs_package cc-mode

Name: xemacs-cc-mode
Version: 1.42
Release: alt1

Summary: C, C++ and Java language support
License: GPL
Group: Editors
Url: http://ftp.xemacs.org/pub/xemacs/packages/

Source: %url/%xemacs_package-%version-pkg.tar.bz2

PreReq: xemacsen
Requires: xemacs-base xemacs-mail-lib

BuildArch: noarch
BuildPreReq: xemacsen

%description
C, C++ and Java language support

%prep
%setup -q -c

%install
%__mkdir_p %buildroot{%_xemacs_package_dir,%_xemacs_infodir}
%__cp -a . %buildroot%_xemacs_package_dir
%__install -m0644 info/*.info* %buildroot%_xemacs_infodir 
%xemacs_package_find_files

%post
%xemacs_install_info %xemacs_package.info

%preun
%xemacs_uninstall_info %xemacs_package.info

%files -f %name-files

%changelog
* Sat Feb 07 2004 Sergey Bolshakov <sbolshakov@altlinux.ru> 1.42-alt1
- 1.42

* Sat Nov 15 2003 Sergey Bolshakov <sbolshakov@altlinux.ru> 1.41-alt1
- 1.41

* Sat Oct 04 2003 Sergey Bolshakov <sbolshakov@altlinux.ru> 1.40-alt1
- 1.40

* Sat Sep 27 2003 Sergey Bolshakov <sbolshakov@altlinux.ru> 1.39-alt1
 - 1.39

* Mon May 19 2003 Sergey Bolshakov <s.bolshakov@sam-solutions.net> 1.33-alt1
 - 1.33

* Thu Mar  6 2003 Sergey Bolshakov <s.bolshakov@sam-solutions.net> 1.32-alt1
- 1.32

* Sat Dec 21 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 1.31-alt2
- #1531 fixed

* Mon Oct 28 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 1.31-alt1
- 1.31

* Mon Aug  5 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 1.28-alt1
- first build for %distribution distribution

